summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Kyle Guinn2010-05-11 15:18:38 +0200
committer Robby Workman2010-05-11 15:18:38 +0200
commitd27e9954b835827705218b11bcd1ae39c12a81f2 (patch)
tree85d716e902f29b35c79e18c3bc08b302a8b8db29 /system
parentf5633c63aae837ef25c3829de423138a507c0e38 (diff)
downloadslackbuilds-d27e9954b835827705218b11bcd1ae39c12a81f2.tar.gz
system/hsflinmodem: Initial import
Diffstat (limited to 'system')
-rw-r--r--system/hsflinmodem/README27
-rw-r--r--system/hsflinmodem/hsflinmodem.SlackBuild53
-rw-r--r--system/hsflinmodem/hsflinmodem.info8
-rw-r--r--system/hsflinmodem/slack-desc11
4 files changed, 99 insertions, 0 deletions
diff --git a/system/hsflinmodem/README b/system/hsflinmodem/README
new file mode 100644
index 0000000000..9291dfac7e
--- /dev/null
+++ b/system/hsflinmodem/README
@@ -0,0 +1,27 @@
+Last free Linuxant hsflinmodem drivers
+
+Linuxant is a company that provides software drivers for conexant
+modems and chipsets to run on linux machines. These types of
+modems are commonly known as 'winmodems' as their software is
+designed for use on Microsoft Windows. Linuxant at one time
+provided the software for free but recently they have been
+charging money for the drivers. They still provide a 'free' set
+of drivers that limit the modem speed to 14.4Kbps.
+
+The last "free" (as in beer) drivers come with a license that prohibits
+distribution of versions marked "beta" or "lnxtbeta". Therefore it may be
+difficult to find the source files. You may want to keep the source package
+around in case the files become unavailable.
+
+These drivers will most likely not work with a 2.6.x kernel.
+
+Run "hsfconfig" after installing this package to setup the modem.
+This will build some kernel modules and change a few other files.
+
+Unfortunately, this script does not do a great job of cleaning up after itself.
+To completely remove the drivers, you must do the following:
+ 1. Run "hsfconfig --remove" to have the script remove the kernel modules.
+ 2. Remove the package.
+ 3. Remove the /etc/hsf directory.
+ 4. Replace /dev/modem with /dev/modem.old
+
diff --git a/system/hsflinmodem/hsflinmodem.SlackBuild b/system/hsflinmodem/hsflinmodem.SlackBuild
new file mode 100644
index 0000000000..3f2c8259d6
--- /dev/null
+++ b/system/hsflinmodem/hsflinmodem.SlackBuild
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# Slackware build script for hsflinmodem
+# Written by Kyle Guinn
+
+# Sorry, you don't get a choice of architecture.
+# Some parts came pre-compiled, check in the "imported" subdirectory.
+# It looks like they used the -march=pentium flag here, which implies i586.
+#
+# Running `make install` will compile a few files, but there is no way to
+# specify additional compiler flags without modifying the makefiles.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=hsflinmodem
+VERSION=5.03.27lnxtbeta03042700
+ARCH=i586
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . -type d | xargs chmod 0755
+find . -type f | xargs chmod 0644
+find . -name *.sh | xargs chmod 0755
+
+make -C scripts hsfconfig || exit 1
+make install ROOT=$PKG || exit 1
+
+find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find $PKG | xargs file | grep "relocatable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a BUGS CHANGES CREDITS FAQ INSTALL LICENSE README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/hsflinmodem/hsflinmodem.info b/system/hsflinmodem/hsflinmodem.info
new file mode 100644
index 0000000000..d19cc82906
--- /dev/null
+++ b/system/hsflinmodem/hsflinmodem.info
@@ -0,0 +1,8 @@
+PRGNAM="hsflinmodem"
+VERSION="5.03.27lnxtbeta03042700"
+HOMEPAGE="http://www.designlegion.com/linux/last-free-linuxant-modem-drivers/"
+DOWNLOAD="http://www.designlegion.com/linux/files/hsflinmodem-5.03.27lnxtbeta03042700.tar.gz"
+MD5SUM="2049a23103b60f36905104d80ed1e792"
+MAINTAINER="Kyle Guinn"
+EMAIL="elyk03@gmail.com"
+APPROVED="robw810"
diff --git a/system/hsflinmodem/slack-desc b/system/hsflinmodem/slack-desc
new file mode 100644
index 0000000000..6e4300a066
--- /dev/null
+++ b/system/hsflinmodem/slack-desc
@@ -0,0 +1,11 @@
+hsflinmodem: Last free Linuxant hsflinmodem drivers
+hsflinmodem:
+hsflinmodem: Linuxant is a company that provides software drivers for conexant
+hsflinmodem: modems and chipsets to run on linux machines. These types of
+hsflinmodem: modems are commonly known as 'winmodems' as their software is
+hsflinmodem: designed for use on Microsoft Windows. Linuxant at one time
+hsflinmodem: provided the software for free but recently they have been
+hsflinmodem: charging money for the drivers.
+hsflinmodem:
+hsflinmodem: These drivers will work with the 2.4.x kernel series.
+hsflinmodem: Run "hsfconfig" after installation to setup the modem.